Bug 259472 - Kde apps crashes at one time with similar backtrace(perhaps it's connected with Upnp)
Summary: Kde apps crashes at one time with similar backtrace(perhaps it's connected wi...
Status: RESOLVED UNMAINTAINED
Alias: None
Product: solid
Classification: Unclassified
Component: libsolid-upnp (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: VHI crash with 160 votes (vote)
Target Milestone: ---
Assignee: Paulo Romulo
URL:
Keywords:
: 286396 286857 288123 288239 288772 303301 303302 303303 303320 311176 316657 316658 316659 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-12-10 21:13 UTC by Vitaliy Gorbunov
Modified: 2013-03-13 12:06 UTC (History)
30 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Upnp crashes (15.48 KB, application/octet-stream)
2010-12-10 21:15 UTC, Vitaliy Gorbunov
Details
New crash information added by DrKonqi (6.70 KB, text/plain)
2010-12-20 11:47 UTC, schaefer
Details
New crash information added by DrKonqi (10.32 KB, text/plain)
2010-12-27 15:38 UTC, Dominic Lyons
Details
New crash information added by DrKonqi (9.44 KB, text/plain)
2010-12-27 15:43 UTC, Dominic Lyons
Details
New crash information added by DrKonqi (7.27 KB, text/plain)
2010-12-27 15:44 UTC, Dominic Lyons
Details
New crash information added by DrKonqi (11.53 KB, text/plain)
2010-12-27 15:50 UTC, Dominic Lyons
Details
New crash information added by DrKonqi (8.31 KB, text/plain)
2010-12-27 15:51 UTC, Dominic Lyons
Details
New crash information added by DrKonqi (7.53 KB, text/plain)
2010-12-27 15:53 UTC, Dominic Lyons
Details
New crash information added by DrKonqi (8.84 KB, text/plain)
2010-12-27 15:53 UTC, Dominic Lyons
Details
New crash information added by DrKonqi (5.72 KB, text/plain)
2011-01-25 14:14 UTC, Lukas Dolezal
Details
New crash information added by DrKonqi (6.64 KB, text/plain)
2011-08-09 22:48 UTC, Marcel Partap
Details
New crash information added by DrKonqi (3.95 KB, text/plain)
2011-09-14 16:51 UTC, jamundso
Details
New crash information added by DrKonqi (8.72 KB, text/plain)
2011-10-03 23:59 UTC, Alex G
Details
New crash information added by DrKonqi (7.23 KB, text/plain)
2011-10-04 21:38 UTC, Alex G
Details
New crash information added by DrKonqi (7.25 KB, text/plain)
2012-06-12 12:22 UTC, Vadym Krevs
Details
fedora patch (726 bytes, patch)
2012-09-14 12:23 UTC, Rex Dieter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vitaliy Gorbunov 2010-12-10 21:13:05 UTC
Version:           unspecified (using KDE 4.5.85) 
OS:                Linux

Very often Knotify, Dolphin, Run Command Interface, Plasma Desktop Shell, Kmix, Amarok, KDE Daemon crashes one by one. I don't know how to reproduce it, but it's all has similar backtrace tail. (I'll attach all backtraces as archive)

I think it connected with upnp, as it mentioned in backtrace and I have another problem with this. See https://bugs.kde.org/show_bug.cgi?id=259377 (some information from there can be important)

Thread 6 (Thread 0xb4d64b70 (LWP 1938)):
#0  0x091d9e36 in clock_gettime (clock_id=152952820, tp=0xb4d64020) at ../sysdeps/unix/clock_gettime.c:100
#1  0x07d466f8 in qt_gettime() () from /usr/lib/libQtCore.so.4
#2  0x07e12a12 in QTimerInfoList::timerWait(timeval&) () from /usr/lib/libQtCore.so.4
#3  0x07e11262 in timerSourcePrepareHelper(GTimerSource*, int*) () from /usr/lib/libQtCore.so.4
#4  0x07e112fd in timerSourcePrepare(_GSource*, int*) () from /usr/lib/libQtCore.so.4
#5  0x06f44044 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#6  0x06f44ed3 in ?? () from /lib/libglib-2.0.so.0
#7  0x06f45594 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#8  0x07e11aa7 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#9  0x07de37d9 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#10 0x07de3a72 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#11 0x07cedbe8 in QThread::exec() () from /usr/lib/libQtCore.so.4
#12 0x0387f571 in Herqq::Upnp::HControlPointThread::run() () from /usr/lib/libHUpnp.so.0
#13 0x07cf0669 in QThreadPrivate::start(void*) () from /usr/lib/libQtCore.so.4
#14 0x071d2cc9 in start_thread () from /lib/libpthread.so.0
#15 0x00af26be in clone () from /lib/libc.so.6

Thread 5 (Thread 0xaeb8cb70 (LWP 2068)):
#0  0x00de0416 in __kernel_vsyscall ()
#1  0x071d7884 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00affe14 in pthread_cond_timedwait () from /lib/libc.so.6
#3  0x075418c3 in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 4 (Thread 0xa9f1db70 (LWP 2069)):
#0  0x091d9e36 in clock_gettime (clock_id=152952820, tp=0xa9f1d010) at ../sysdeps/unix/clock_gettime.c:100
#1  0x07d466f8 in qt_gettime() () from /usr/lib/libQtCore.so.4
#2  0x07e12a12 in QTimerInfoList::timerWait(timeval&) () from /usr/lib/libQtCore.so.4
#3  0x07e11262 in timerSourcePrepareHelper(GTimerSource*, int*) () from /usr/lib/libQtCore.so.4
#4  0x07e112fd in timerSourcePrepare(_GSource*, int*) () from /usr/lib/libQtCore.so.4
#5  0x06f44044 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#6  0x06f44ed3 in ?? () from /lib/libglib-2.0.so.0
#7  0x06f45594 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#8  0x07e11aa7 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#9  0x07de37d9 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#10 0x07de3a72 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#11 0x07cedbe8 in QThread::exec() () from /usr/lib/libQtCore.so.4
#12 0x01ec18ea in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#13 0x07cf0669 in QThreadPrivate::start(void*) () from /usr/lib/libQtCore.so.4
#14 0x071d2cc9 in start_thread () from /lib/libpthread.so.0
#15 0x00af26be in clone () from /lib/libc.so.6

Thread 3 (Thread 0xa971cb70 (LWP 2070)):
#0  0x00de0416 in __kernel_vsyscall ()
#1  0x00ae3df6 in poll () from /lib/libc.so.6
#2  0x06857432 in ?? () from /usr/lib/libpulse.so.0
#3  0x06846379 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#4  0x06846bf4 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#5  0x06846cd4 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#6  0x068573d3 in ?? () from /usr/lib/libpulse.so.0
#7  0x0832a905 in ?? () from /usr/lib/libpulsecommon-0.9.22.so
#8  0x071d2cc9 in start_thread () from /lib/libpthread.so.0
#9  0x00af26be in clone () from /lib/libc.so.6

Thread 2 (Thread 0xa4f1ab70 (LWP 2071)):
#0  0x00de0416 in __kernel_vsyscall ()
#1  0x071d74dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00affdbd in pthread_cond_wait () from /lib/libc.so.6
#3  0x075547c0 in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 1 (Thread 0xb77a7710 (LWP 1935)):
[KCrash Handler]
#7  0x07d99589 in QUrl::QUrl(QUrl const&) () from /usr/lib/libQtCore.so.4
#8  0x0385b23e in Herqq::Upnp::HServiceInfo::eventSubUrl() const () from /usr/lib/libHUpnp.so.0
#9  0x0388bb6f in Herqq::Upnp::HEventSubscription::renewSubscription() () from /usr/lib/libHUpnp.so.0
#10 0x0388c750 in Herqq::Upnp::HEventSubscription::runNextOp() () from /usr/lib/libHUpnp.so.0
#11 0x0388c7eb in Herqq::Upnp::HEventSubscription::connected() () from /usr/lib/libHUpnp.so.0
#12 0x038a70f3 in Herqq::Upnp::HEventSubscription::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libHUpnp.so.0
#13 0x07deac0a in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#14 0x07dfa9ff in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#15 0x076e4257 in QAbstractSocket::connected() () from /usr/lib/libQtNetwork.so.4
#16 0x076e4429 in QAbstractSocketPrivate::fetchConnectionParameters() () from /usr/lib/libQtNetwork.so.4
#17 0x076e56e8 in QAbstractSocketPrivate::_q_testConnection() () from /usr/lib/libQtNetwork.so.4
#18 0x076d3e5b in QAbstractSocketEngine::connectionNotification() () from /usr/lib/libQtNetwork.so.4
#19 0x076d5e49 in QNativeSocketEngine::connectionNotification() () from /usr/lib/libQtNetwork.so.4
#20 0x076d5f6b in QWriteNotifier::event(QEvent*) () from /usr/lib/libQtNetwork.so.4
#21 0x00f46844 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#22 0x00f4b34e in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#23 0x002ee90a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#24 0x07de460b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#25 0x07e113f7 in socketNotifierSourceDispatch(_GSource*, int (*)(void*), void*) () from /usr/lib/libQtCore.so.4
#26 0x06f44b18 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#27 0x06f452e0 in ?? () from /lib/libglib-2.0.so.0
#28 0x06f45594 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#29 0x07e11a6c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#30 0x00ff8ad5 in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtGui.so.4
#31 0x07de37d9 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#32 0x07de3a72 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#33 0x07de841c in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#34 0x00f446e7 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#35 0x0804f5dd in main (argc=0, argv=0x0) at ../../knotify/main.cpp:73


Reproducible: Sometimes
Comment 1 Vitaliy Gorbunov 2010-12-10 21:15:39 UTC
Created attachment 54405 [details]
Upnp crashes
Comment 2 Vangelis 2010-12-11 01:01:30 UTC
I have the same bug too.....
All of them crashes simultaneously and it is totally random.
All of the above you mentioned plus Nepomuk.
Comment 3 kalyan chakrawarthy 2010-12-11 11:01:26 UTC
+1 .. additionally dolphin crashes every time when closed.
Comment 4 Peter 2010-12-11 20:10:02 UTC
same here, I am using Kubuntu 4.6b2 packages (The KDE crash handler could not find required debug symbols in additional packages, so I could not file a bugreport...)
Comment 5 Vitaliy Gorbunov 2010-12-12 12:57:05 UTC
Another backtrace. Seems a little different from the previous. 

Thread 1 (Thread 0xb60c8720 (LWP 1933)):
[KCrash Handler]
#7  0x07961317 in Herqq::Upnp::HService::info() const () from /usr/lib/libHUpnp.so.0
#8  0x0799cb60 in Herqq::Upnp::HEventSubscription::renewSubscription() () from /usr/lib/libHUpnp.so.0
#9  0x0799d750 in Herqq::Upnp::HEventSubscription::runNextOp() () from /usr/lib/libHUpnp.so.0
#10 0x0799d7eb in Herqq::Upnp::HEventSubscription::connected() () from /usr/lib/libHUpnp.so.0
#11 0x079b80f3 in Herqq::Upnp::HEventSubscription::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libHUpnp.so.0
#12 0x04c73c0a in QMetaObject::metacall (object=0xac19780, cl=QMetaObject::InvokeMetaMethod, idx=9, argv=0xbfddae9c) at kernel/qmetaobject.cpp:237
#13 0x04c839ff in QMetaObject::activate (sender=0xac19818, m=0x2a2e950, local_signal_index=1, argv=0x0) at kernel/qobject.cpp:3280
#14 0x029bb257 in QAbstractSocket::connected (this=0xac19818) at .moc/release-shared/moc_qabstractsocket.cpp:136
#15 0x029bb429 in QAbstractSocketPrivate::fetchConnectionParameters (this=0xa781d70) at socket/qabstractsocket.cpp:1207
#16 0x029bc6e8 in QAbstractSocketPrivate::_q_testConnection (this=0xa781d70) at socket/qabstractsocket.cpp:1062
#17 0x029aae5b in QAbstractSocketEngine::connectionNotification (this=0xaa01270) at socket/qabstractsocketengine.cpp:172
#18 0x029ace49 in QNativeSocketEngine::connectionNotification (this=0xaa01270) at socket/qnativesocketengine.cpp:548
#19 0x029acf6b in QWriteNotifier::event (this=0xa872b88, e=0xbfddb384) at socket/qnativesocketengine.cpp:1133
#20 0x03294844 in QApplicationPrivate::notify_helper (this=0x9da7e78, receiver=0xa872b88, e=0xbfddb384) at kernel/qapplication.cpp:4445
#21 0x0329934e in QApplication::notify (this=0x9da2760, receiver=0xa872b88, e=0xbfddb384) at kernel/qapplication.cpp:3845
#22 0x0100190a in KApplication::notify (this=0x9da2760, receiver=0xa872b88, event=0xbfddb384) at ../../kdeui/kernel/kapplication.cpp:311
#23 0x04c6d60b in QCoreApplication::notifyInternal (this=0x9da2760, receiver=0xa872b88, event=0xbfddb384) at kernel/qcoreapplication.cpp:732
#24 0x04c9a3f7 in sendEvent (source=0x9da9da8) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#25 socketNotifierSourceDispatch (source=0x9da9da8) at kernel/qeventdispatcher_glib.cpp:110
#26 0x03cfdb18 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#27 0x03cfe2e0 in ?? () from /lib/libglib-2.0.so.0
#28 0x03cfe594 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#29 0x04c9aa6c in QEventDispatcherGlib::processEvents (this=0x9da2e50, flags=...) at kernel/qeventdispatcher_glib.cpp:415
#30 0x03346ad5 in QGuiEventDispatcherGlib::processEvents (this=0x9da2e50, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#31 0x04c6c7d9 in QEventLoop::processEvents (this=0xbfddb5f4, flags=...) at kernel/qeventloop.cpp:149
#32 0x04c6ca72 in QEventLoop::exec (this=0xbfddb5f4, flags=...) at kernel/qeventloop.cpp:201
#33 0x04c7141c in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#34 0x032926e7 in QApplication::exec () at kernel/qapplication.cpp:3719
#35 0x00dfbb19 in kdemain () from /usr/lib/kde4/libkdeinit/libkdeinit4_krunner.so
#36 0x080485bb in _start ()
Comment 6 Vitaliy Gorbunov 2010-12-12 15:37:35 UTC
I started Kword and KSpread and waited for another crash time. This apps also crashes like others. It's backtrace

Thread 1 (Thread 0xb61ad720 (LWP 8899)):
[KCrash Handler]
#7  ref (this=0xbff9cfac) at ../../include/QtCore/../../src/corelib/arch/qatomic_i386.h:120
#8  QString (this=0xbff9cfac) at ../../include/QtCore/../../src/corelib/tools/qstring.h:729
#9  QUrl::path (this=0xbff9cfac) at io/qurl.cpp:4824
#10 0x00b3f3be in QUrl::toString (this=0xbff9cfac, options=...) at io/qurl.cpp:5646
#11 0x03c487b7 in Herqq::Upnp::resolveUri(QUrl const&, QUrl const&) () from /usr/lib/libHUpnp.so.0
#12 0x03c91c22 in Herqq::Upnp::HEventSubscription::renewSubscription() () from /usr/lib/libHUpnp.so.0
#13 0x03c92750 in Herqq::Upnp::HEventSubscription::runNextOp() () from /usr/lib/libHUpnp.so.0
#14 0x03c927eb in Herqq::Upnp::HEventSubscription::connected() () from /usr/lib/libHUpnp.so.0
#15 0x03cad0f3 in Herqq::Upnp::HEventSubscription::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libHUpnp.so.0
#16 0x00b87c0a in QMetaObject::metacall (object=0xa66c758, cl=QMetaObject::InvokeMetaMethod, idx=9, argv=0xbff9d15c) at kernel/qmetaobject.cpp:237
#17 0x00b979ff in QMetaObject::activate (sender=0xa66c7f0, m=0x1bf2950, local_signal_index=1, argv=0x0) at kernel/qobject.cpp:3280
#18 0x01b7f257 in QAbstractSocket::connected (this=0xa66c7f0) at .moc/release-shared/moc_qabstractsocket.cpp:136
#19 0x01b7f429 in QAbstractSocketPrivate::fetchConnectionParameters (this=0xa8720a0) at socket/qabstractsocket.cpp:1207
#20 0x01b806e8 in QAbstractSocketPrivate::_q_testConnection (this=0xa8720a0) at socket/qabstractsocket.cpp:1062
#21 0x01b6ee5b in QAbstractSocketEngine::connectionNotification (this=0xa892380) at socket/qabstractsocketengine.cpp:172
#22 0x01b70e49 in QNativeSocketEngine::connectionNotification (this=0xa892380) at socket/qnativesocketengine.cpp:548
#23 0x01b70f6b in QWriteNotifier::event (this=0xa4a91c8, e=0xbff9d644) at socket/qnativesocketengine.cpp:1133
#24 0x00f10844 in QApplicationPrivate::notify_helper (this=0x9e7a150, receiver=0xa4a91c8, e=0xbff9d644) at kernel/qapplication.cpp:4445
#25 0x00f1534e in QApplication::notify (this=0xbff9d924, receiver=0xa4a91c8, e=0xbff9d644) at kernel/qapplication.cpp:3845
#26 0x05b7d90a in KApplication::notify (this=0xbff9d924, receiver=0xa4a91c8, event=0xbff9d644) at ../../kdeui/kernel/kapplication.cpp:311
#27 0x00b8160b in QCoreApplication::notifyInternal (this=0xbff9d924, receiver=0xa4a91c8, event=0xbff9d644) at kernel/qcoreapplication.cpp:732
#28 0x00bae3f7 in sendEvent (source=0x9e7c528) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#29 socketNotifierSourceDispatch (source=0x9e7c528) at kernel/qeventdispatcher_glib.cpp:110
#30 0x081d5b18 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#31 0x081d62e0 in ?? () from /lib/libglib-2.0.so.0
#32 0x081d6594 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#33 0x00baea6c in QEventDispatcherGlib::processEvents (this=0x9e7a130, flags=...) at kernel/qeventdispatcher_glib.cpp:415
#34 0x00fc2ad5 in QGuiEventDispatcherGlib::processEvents (this=0x9e7a130, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#35 0x00b807d9 in QEventLoop::processEvents (this=0xbff9d8b4, flags=...) at kernel/qeventloop.cpp:149
#36 0x00b80a72 in QEventLoop::exec (this=0xbff9d8b4, flags=...) at kernel/qeventloop.cpp:201
#37 0x00b8541c in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#38 0x00f0e6e7 in QApplication::exec () at kernel/qapplication.cpp:3719
#39 0x0079d535 in kdemain () from /usr/lib/kde4/libkdeinit/libkdeinit4_kspread.so
#40 0x080485bb in _start ()
Comment 7 Vitaliy Gorbunov 2010-12-13 22:49:45 UTC
It seems that kde crashes when somebody in local network turn on his computer with some upnp device, that kill all my kde apps one by one using solid-upnp. And there is nothing I can do, except switching off network cabel.

Can anyone hear us? Maybe it worth to remove upnp support from solid for better times or at least add option to disable it? 

I just want to use RC1 without this annoying bug.
Comment 8 Vangelis 2010-12-13 22:53:47 UTC
I agree... This is very annoying and totally random (if the case is the upnp it is of course totally random cause you never know when someone will open their PC)...
I was watching a movie a few minutes ago in full screen and my whole desktop crashed without any reason!
Comment 9 Peter 2010-12-14 02:21:50 UTC
Have you tried running 

iptables -t filter -A INPUT -i eth0 -s 239.0.0.0/8 -j DROP
iptables -t filter -A INPUT -i eth0 -p tcp --sport 49152 -j DROP
iptables -t filter -A INPUT -i eth0 -p udp --sport 1900 -j DROP

as a root?
(Or to put it in your rc.local script (usually found in /etc/rc.d/ or /etc/init.d/, depends on the distro...))

It helps on my virtual machine... (It disables UPnP on firewall)
Comment 10 Vitaliy Gorbunov 2010-12-14 10:40:40 UTC
Peter, I have tried but upnp devices is still there. 
It seems that last commit in solid-upnp was 2 month ago - http://websvn.kde.org/trunk/KDE/kdelibs/solid/solid/backends/upnp/.
I just want to know if developers know about this terrible bug? Serioulsy, it's crasy! One backend in solid that allows any computer in local network kill all my kde.
Comment 11 Vitaliy Gorbunov 2010-12-15 18:17:04 UTC
In Ubuntu:
I create a script named upnpblock.

#!/bin/sh
iptables -t filter -A INPUT -i eth0 -s 239.0.0.0/8 -j DROP
iptables -t filter -A INPUT -i eth0 -p tcp --sport 49152 -j DROP
iptables -t filter -A INPUT -i eth0 -p udp --sport 1900 -j DROP

and put in in /etc/init.d/
Then, under root:
cd /etc/init.d/
chmod +x upnpblock
update-rc.d upnpblock defaults

Upnp devices disappear, and I hope crashes are also gone. Thanks, for idea, Peter!

I just hope it will be fixed before release, otherwise kde-users in local networks will have a lot of fun...
Comment 12 schaefer 2010-12-20 11:47:50 UTC
Created attachment 55097 [details]
New crash information added by DrKonqi

knotify4 (4.0) on KDE Platform 4.5.85 (4.6 Beta2) using Qt 4.7.0

- What I was doing when the application crashed:
I was just trying to get the focus by mouse-click of my Virtual Box virtual machine.

-- Backtrace (Reduced):
#7  0xb5b7b8c7 in Herqq::Upnp::HService::info() const () from /usr/lib/libHUpnp.so.0
#8  0xb5bc3770 in Herqq::Upnp::HEventSubscription::runNextOp() () from /usr/lib/libHUpnp.so.0
#9  0xb5bc380b in Herqq::Upnp::HEventSubscription::connected() () from /usr/lib/libHUpnp.so.0
#10 0xb5bdf6c3 in Herqq::Upnp::HEventSubscription::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libHUpnp.so.0
[...]
#13 0xb5de0137 in QAbstractSocket::connected (this=0x8f5ad20) at .moc/release-shared/moc_qabstractsocket.cpp:136
Comment 13 Dominic Lyons 2010-12-27 15:38:08 UTC
Created attachment 55291 [details]
New crash information added by DrKonqi

knotify4 (4.0) on KDE Platform 4.5.90 (4.6 RC1) using Qt 4.7.1

- What I was doing when the application crashed:

UPnP was deactivated on the Router


- Unusual behavior I noticed:

A lot KDE applications crashed at once (Dolphin, Nepomuk, Plasma, KMix)

-- Backtrace (Reduced):
#6  0x00007fafb2946d41 in Herqq::Upnp::HServiceInfo::eventSubUrl() const () from /usr/lib/libHUpnp.so.0
#7  0x00007fafb297494e in Herqq::Upnp::HEventSubscription::renewSubscription() () from /usr/lib/libHUpnp.so.0
#8  0x00007fafb29754d8 in Herqq::Upnp::HEventSubscription::runNextOp() () from /usr/lib/libHUpnp.so.0
#9  0x00007fafb2975552 in Herqq::Upnp::HEventSubscription::connected() () from /usr/lib/libHUpnp.so.0
#10 0x00007fafb298ecac in Herqq::Upnp::HEventSubscription::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libHUpnp.so.0
Comment 14 Dominic Lyons 2010-12-27 15:43:08 UTC
Created attachment 55292 [details]
New crash information added by DrKonqi

kmix (3.8-alpha) on KDE Platform 4.5.90 (4.6 RC1) using Qt 4.7.1

- What I was doing when the application crashed:

UPnP was deactivated on the Router


- Unusual behavior I noticed:

A lot KDE applications crashed at once (Dolphin, Nepomuk, Plasma, KMix, KNotifier)

-- Backtrace (Reduced):
#6  0x00007f1f497e2d41 in Herqq::Upnp::HServiceInfo::eventSubUrl() const () from /usr/lib/libHUpnp.so.0
#7  0x00007f1f4981094e in Herqq::Upnp::HEventSubscription::renewSubscription() () from /usr/lib/libHUpnp.so.0
#8  0x00007f1f498114d8 in Herqq::Upnp::HEventSubscription::runNextOp() () from /usr/lib/libHUpnp.so.0
#9  0x00007f1f49811552 in Herqq::Upnp::HEventSubscription::connected() () from /usr/lib/libHUpnp.so.0
#10 0x00007f1f4982acac in Herqq::Upnp::HEventSubscription::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libHUpnp.so.0
Comment 15 Dominic Lyons 2010-12-27 15:44:31 UTC
Created attachment 55293 [details]
New crash information added by DrKonqi

nepomukservicestub (0.2) on KDE Platform 4.5.90 (4.6 RC1) using Qt 4.7.1

- What I was doing when the application crashed:

UPnP was deactivated on the Router


- Unusual behavior I noticed:

A lot KDE applications crashed at once (Dolphin, Nepomuk, Plasma, KMix KNotifier)

-- Backtrace (Reduced):
#6  0x00007ffe5f6abda0 in Herqq::Upnp::HService::info() const () from /usr/lib/libHUpnp.so.0
#7  0x00007ffe5f6e3941 in Herqq::Upnp::HEventSubscription::renewSubscription() () from /usr/lib/libHUpnp.so.0
#8  0x00007ffe5f6e44d8 in Herqq::Upnp::HEventSubscription::runNextOp() () from /usr/lib/libHUpnp.so.0
#9  0x00007ffe5f6e4552 in Herqq::Upnp::HEventSubscription::connected() () from /usr/lib/libHUpnp.so.0
#10 0x00007ffe5f6fdcac in Herqq::Upnp::HEventSubscription::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libHUpnp.so.0
Comment 16 Dominic Lyons 2010-12-27 15:50:10 UTC
Created attachment 55294 [details]
New crash information added by DrKonqi

dolphin (1.5.9) on KDE Platform 4.5.90 (4.6 RC1) using Qt 4.7.1

- What I was doing when the application crashed:

UPnP was deactivated on the Router


- Unusual behavior I noticed:

A lot KDE applications crashed at once (Dolphin, Nepomuk, Plasma, KMix KNotifier)

-- Backtrace (Reduced):
#6  QUrlPrivate::parse (this=0x2453010, parseOptions=QUrlPrivate::ParseAndSet) at io/qurl.cpp:3760
#7  0x00007f4f634c0f47 in QUrl::toString (this=0x7fff663a4980, options=...) at io/qurl.cpp:5640
#8  0x00007f4f5e0066bb in Herqq::Upnp::resolveUri(QUrl const&, QUrl const&) () from /usr/lib/libHUpnp.so.0
#9  0x00007f4f5e04a9f8 in Herqq::Upnp::HEventSubscription::renewSubscription() () from /usr/lib/libHUpnp.so.0
#10 0x00007f4f5e04b4d8 in Herqq::Upnp::HEventSubscription::runNextOp() () from /usr/lib/libHUpnp.so.0
Comment 17 Dominic Lyons 2010-12-27 15:51:44 UTC
Created attachment 55295 [details]
New crash information added by DrKonqi

kded4 ($Id: kded.cpp 1204125 2010-12-06 11:17:10Z dfaure $) on KDE Platform 4.5.90 (4.6 RC1) using Qt 4.7.1

- What I was doing when the application crashed:

UPnP was deactivated on the Router


- Unusual behavior I noticed:

A lot KDE applications crashed at once (Dolphin, Nepomuk, Plasma, KMix KNotifier)

-- Backtrace (Reduced):
#6  0x00007fba0e7bcd41 in Herqq::Upnp::HServiceInfo::eventSubUrl() const () from /usr/lib/libHUpnp.so.0
#7  0x00007fba0e7ea94e in Herqq::Upnp::HEventSubscription::renewSubscription() () from /usr/lib/libHUpnp.so.0
#8  0x00007fba0e7eb4d8 in Herqq::Upnp::HEventSubscription::runNextOp() () from /usr/lib/libHUpnp.so.0
#9  0x00007fba0e7eb552 in Herqq::Upnp::HEventSubscription::connected() () from /usr/lib/libHUpnp.so.0
#10 0x00007fba0e804cac in Herqq::Upnp::HEventSubscription::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libHUpnp.so.0
Comment 18 Dominic Lyons 2010-12-27 15:53:04 UTC
Created attachment 55296 [details]
New crash information added by DrKonqi

krunner (0.1) on KDE Platform 4.5.90 (4.6 RC1) using Qt 4.7.1

- What I was doing when the application crashed:

UPnP was deactivated on the Router


- Unusual behavior I noticed:

A lot KDE applications crashed at once (Dolphin, Nepomuk, Plasma, KMix KNotifier)

-- Backtrace (Reduced):
#6  0x00007f9075d66da0 in Herqq::Upnp::HService::info() const () from /usr/lib/libHUpnp.so.0
#7  0x00007f9075d9e941 in Herqq::Upnp::HEventSubscription::renewSubscription() () from /usr/lib/libHUpnp.so.0
#8  0x00007f9075d9f4d8 in Herqq::Upnp::HEventSubscription::runNextOp() () from /usr/lib/libHUpnp.so.0
#9  0x00007f9075d9f552 in Herqq::Upnp::HEventSubscription::connected() () from /usr/lib/libHUpnp.so.0
#10 0x00007f9075db8cac in Herqq::Upnp::HEventSubscription::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libHUpnp.so.0
Comment 19 Dominic Lyons 2010-12-27 15:53:54 UTC
Created attachment 55297 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.5.90 (4.6 RC1) using Qt 4.7.1

- What I was doing when the application crashed:

UPnP was deactivated on the Router


- Unusual behavior I noticed:

A lot KDE applications crashed at once (Dolphin, Nepomuk, Plasma, KMix KNotifier)

-- Backtrace (Reduced):
#6  QUrl::QUrl (this=0x7fff3dba1780, other=...) at io/qurl.cpp:4175
#7  0x00007f4268990d50 in Herqq::Upnp::HServiceInfo::eventSubUrl() const () from /usr/lib/libHUpnp.so.0
#8  0x00007f42689be94e in Herqq::Upnp::HEventSubscription::renewSubscription() () from /usr/lib/libHUpnp.so.0
#9  0x00007f42689bf4d8 in Herqq::Upnp::HEventSubscription::runNextOp() () from /usr/lib/libHUpnp.so.0
#10 0x00007f42689bf552 in Herqq::Upnp::HEventSubscription::connected() () from /usr/lib/libHUpnp.so.0
Comment 20 Lukas Dolezal 2011-01-25 14:14:05 UTC
Created attachment 56417 [details]
New crash information added by DrKonqi

knotify4 (4.0) on KDE Platform 4.5.95 (4.6 RC2) using Qt 4.7.0

- What I was doing when the application crashed:
it happened by self. before crash many "new share discovered" messages shown by devices applet. i am on dormitory network. also notification about needed restart (due to update) shown in fallback old window after crash.

- Custom settings of the application:
nothing special. kwin compositing, blur turned off.

-- Backtrace (Reduced):
#7  0x050e28c7 in Herqq::Upnp::HService::info() const () from /usr/lib/libHUpnp.so.0
#8  0x0512a770 in Herqq::Upnp::HEventSubscription::runNextOp() () from /usr/lib/libHUpnp.so.0
#9  0x0512a80b in Herqq::Upnp::HEventSubscription::connected() () from /usr/lib/libHUpnp.so.0
#10 0x051466c3 in Herqq::Upnp::HEventSubscription::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libHUpnp.so.0
[...]
#13 0x043c8137 in QAbstractSocket::connected (this=0xb4aac0c0) at .moc/release-shared/moc_qabstractsocket.cpp:136
Comment 21 Marcel Partap 2011-08-09 22:48:01 UTC
Created attachment 62714 [details]
New crash information added by DrKonqi

knotify4 (4.0) on KDE Platform 4.7.41 (4.7.41 (KDE 4.8 >= 20110807) using Qt 4.7.4

Crashing on upnp events sucks.
Someone please rip this upnp crap out until a solution has been found - which seemingly hasn't happened in more than half a year, as this just happened on a fresh trunk build...

-- Backtrace (Reduced):
#6  QUrl::QUrl (this=0x7fff5bce7860, other=...) at io/qurl.cpp:4174
#7  0x00007f28e0610bd0 in Herqq::Upnp::HServiceInfo::eventSubUrl (this=<optimized out>) at src/dataelements/hserviceinfo.cpp:150
#8  0x00007f28e0639b67 in Herqq::Upnp::HEventSubscription::renewSubscription (this=0x9ac1c0) at src/devicehosting/controlpoint/hevent_subscription_p.cpp:329
#9  0x00007f28e063a698 in Herqq::Upnp::HEventSubscription::runNextOp (this=0x9ac1c0) at src/devicehosting/controlpoint/hevent_subscription_p.cpp:173
#10 0x00007f28e063a713 in Herqq::Upnp::HEventSubscription::connected (this=0x9ac1c0) at src/devicehosting/controlpoint/hevent_subscription_p.cpp:193
Comment 22 Jan Essert 2011-09-08 12:15:26 UTC
*** This bug has been confirmed by popular vote. ***
Comment 23 jamundso 2011-09-14 16:51:03 UTC
Created attachment 63647 [details]
New crash information added by DrKonqi

ksnapshot (0.8.2) on KDE Platform 4.7.00 (4.7.0) using Qt 4.7.3

- What I was doing when the application crashed:

Composing a gmail message in firefox - something completely unrelated to snapshot.

-- Backtrace (Reduced):
#6  Herqq::Upnp::HServiceInfo::eventSubUrl (this=0x28) at src/dataelements/hserviceinfo.cpp:150
#7  0x0000003bbacb8c3c in Herqq::Upnp::HEventSubscription::renewSubscription (this=0x1da24a0) at src/devicehosting/controlpoint/hevent_subscription_p.cpp:329
#8  0x0000003bbacb97f8 in Herqq::Upnp::HEventSubscription::runNextOp (this=0x1da24a0) at src/devicehosting/controlpoint/hevent_subscription_p.cpp:173
#9  0x0000003bbacb9872 in Herqq::Upnp::HEventSubscription::connected (this=0x1da24a0) at src/devicehosting/controlpoint/hevent_subscription_p.cpp:193
#10 0x0000003bbace03dc in Herqq::Upnp::HEventSubscription::qt_metacall (this=0x1da24a0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffc5d5b3d0) at obj/moc_hevent_subscription_p.cpp:92
Comment 24 Alex G 2011-10-03 23:59:34 UTC
Created attachment 64187 [details]
New crash information added by DrKonqi

kded4 ($Id$) on KDE Platform 4.7.41 (4.7.41 (KDE 4.8 >= 20110807) using Qt 4.8.0

Frequent crash related to kdelibs compiled with Herqq upnp support, which affects many desktop components.  I have not tried the SVN head version of Herqq, since I read kdelibs does not compile with it.

-- Backtrace (Reduced):
#6  Herqq::Upnp::HServiceInfo::eventSubUrl (this=0x690066006e0077) at src/dataelements/hserviceinfo.cpp:150
#7  0x00007f6afe54478b in Herqq::Upnp::HEventSubscription::renewSubscription (this=0xc5b000) at src/devicehosting/controlpoint/hevent_subscription_p.cpp:329
#8  0x00007f6afe545300 in Herqq::Upnp::HEventSubscription::runNextOp (this=0xc5b000) at src/devicehosting/controlpoint/hevent_subscription_p.cpp:173
#9  0x00007f6afe54537b in Herqq::Upnp::HEventSubscription::connected (this=0xc5b000) at src/devicehosting/controlpoint/hevent_subscription_p.cpp:193
[...]
#11 0x00007f6b0625a19e in QAbstractSocketPrivate::fetchConnectionParameters (this=0xce8f70) at socket/qabstractsocket.cpp:1212
Comment 25 Alex G 2011-10-04 21:38:39 UTC
Created attachment 64217 [details]
New crash information added by DrKonqi

dolphin (1.7) on KDE Platform 4.7.41 (4.7.41 (KDE 4.8 >= 20110807) using Qt 4.8.0

A upnp device (TV) joined the local network.

-- Backtrace (Reduced):
#7  QUrl::QUrl (this=0x7fff73b55d00, other=...) at io/qurl.cpp:4240
#8  0x00007fc0fb1af1c0 in Herqq::Upnp::HServiceInfo::eventSubUrl (this=<optimized out>) at src/dataelements/hserviceinfo.cpp:150
#9  0x00007fc0fb1d878b in Herqq::Upnp::HEventSubscription::renewSubscription (this=0x1eb75f0) at src/devicehosting/controlpoint/hevent_subscription_p.cpp:329
#10 0x00007fc0fb1d9300 in Herqq::Upnp::HEventSubscription::runNextOp (this=0x1eb75f0) at src/devicehosting/controlpoint/hevent_subscription_p.cpp:173
#11 0x00007fc0fb1d937b in Herqq::Upnp::HEventSubscription::connected (this=0x1eb75f0) at src/devicehosting/controlpoint/hevent_subscription_p.cpp:193
Comment 26 Christoph Feck 2011-11-12 13:30:53 UTC
*** Bug 286396 has been marked as a duplicate of this bug. ***
Comment 27 Christoph Feck 2011-11-18 00:09:26 UTC
*** Bug 286857 has been marked as a duplicate of this bug. ***
Comment 28 Christoph Feck 2011-12-05 01:27:39 UTC
*** Bug 288239 has been marked as a duplicate of this bug. ***
Comment 29 Christoph Feck 2011-12-05 01:29:04 UTC
*** Bug 288123 has been marked as a duplicate of this bug. ***
Comment 30 Christoph Feck 2011-12-12 10:35:21 UTC
*** Bug 288772 has been marked as a duplicate of this bug. ***
Comment 31 Johannes Huber 2012-02-09 22:30:48 UTC
ping
Comment 32 Vadym Krevs 2012-06-12 12:22:44 UTC
Created attachment 71762 [details]
New crash information added by DrKonqi

kmix (3.7) on KDE Platform 4.8.4 (4.8.4) "release 511" using Qt 4.8.2

- What I was doing when the application crashed:
Scrolling through a browser web page

- Unusual behavior I noticed:
5 different KDE apps (KDED, KNOTIFY, KMIX, PLASMA-DESKTOP, and KRunner) crashed all at once each in the same place.

-- Backtrace (Reduced):
#6  QUrl::QUrl (this=0x7fff7ca9c730, other=...) at io/qurl.cpp:4239
#7  0x00007fc023becee0 in Herqq::Upnp::HServiceInfo::eventSubUrl (this=<optimized out>) at src/dataelements/hserviceinfo.cpp:150
#8  0x00007fc023c1751c in Herqq::Upnp::HEventSubscription::renewSubscription (this=0x1505f80) at src/devicehosting/controlpoint/hevent_subscription_p.cpp:329
#9  0x00007fc023c180d8 in Herqq::Upnp::HEventSubscription::runNextOp (this=0x1505f80) at src/devicehosting/controlpoint/hevent_subscription_p.cpp:173
#10 0x00007fc023c18152 in Herqq::Upnp::HEventSubscription::connected (this=0x1505f80) at src/devicehosting/controlpoint/hevent_subscription_p.cpp:193
Comment 33 Jekyll Wu 2012-07-10 14:30:08 UTC
*** Bug 303302 has been marked as a duplicate of this bug. ***
Comment 34 Jekyll Wu 2012-07-10 14:35:38 UTC
*** Bug 303301 has been marked as a duplicate of this bug. ***
Comment 35 Jekyll Wu 2012-07-10 18:10:33 UTC
*** Bug 303320 has been marked as a duplicate of this bug. ***
Comment 36 Christoph Feck 2012-07-10 22:05:48 UTC
*** Bug 303303 has been marked as a duplicate of this bug. ***
Comment 37 Dominik Haumann 2012-07-21 13:15:31 UTC
Is this a distribution issue? I'm having this as well since KDE 4.8.4 on open suse 11.4 and 12.1.
kded, knotify, kmix, plasma-desktop crash each 15 minutes or so... I fear a lot of users are hit by this. Is there a workaround?
Comment 38 Bartosz Brachaczek 2012-07-21 13:36:53 UTC
Workaround is to compile kdelibs without herqq upnp, i.e., -DWITH_HUpnp=OFF. At least Gentoo does so.
Comment 39 S. Burmeister 2012-07-21 15:22:42 UTC
Could this two years old bug please be assigned to somebody actively working on code or be closed as "we do not care wontfix".
Comment 40 Bartosz Brachaczek 2012-07-21 15:33:05 UTC
FWIW, I don't think the bug is in kdelibs itself. Probably where the bug lies is in the upnp library kdelibs depends upon.
Comment 41 Christoph Feck 2012-07-24 19:44:03 UTC
Alex, can you have a look at it? Appearently, the maintainer of the Upnp code is no longer around. According to comment #37 and comment #38, KDE compiled with Herqq support causes regular crashes an many KDE components.
Comment 42 Rex Dieter 2012-09-14 12:23:53 UTC
Created attachment 73909 [details]
fedora patch

Here's the patch we've been using in fedora, disables the feature by default unless user sets SOLID_UPNP=1 environment variable to make runtime functional again.
Comment 43 Jekyll Wu 2012-12-05 07:45:50 UTC
*** Bug 311176 has been marked as a duplicate of this bug. ***
Comment 44 Alex Fiestas 2013-03-12 12:43:24 UTC
HUPNP backend has been disabled, and set as unmaintained
Comment 45 Jekyll Wu 2013-03-13 12:06:08 UTC
*** Bug 316658 has been marked as a duplicate of this bug. ***
Comment 46 Jekyll Wu 2013-03-13 12:06:14 UTC
*** Bug 316659 has been marked as a duplicate of this bug. ***
Comment 47 Jekyll Wu 2013-03-13 12:06:32 UTC
*** Bug 316657 has been marked as a duplicate of this bug. ***